Kerbal Space Program - Bug #1601

Radar altitude off on Pol
10/21/2013 04:51 PM - HolySmoke

Status: Closed Start date: 10/21/2013
Severity: Low % Done: 100%
Assignee:

Category: Buildings

Target version:

Version: 0.22 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Radar altitude on Pol S 61A°50'42" E 64A°3'19" is off by about -500m.
Needle of the altimeter runs beyond zero and rests at approximately 480m when landed.

As an aside bonus, the Tracking Station first showed the east coordinate as 424A° and simplified it to 64A° when | "flew" the ship
and returned immediately after that.

Snip from the save file:

met = 885.615484535694

lct = 390701467.395271
root = 0

lat = -61.8449272156557
lon = 64.0554064237831

alt = 1458.52959471072

hgt = 0.3449572

nrm = -0.09144032,0.9954415,-0.02710973

rot = 0.3085518,-0.1876158,-0.9177087,0.1655502
CoM = 1.43608E-05,-1.33614E-05,-2.337869E-05

a0l
ORBIT
SMA = 22472.928714981
ECC =1
INC = NaN
LPE = 66.4585174219053
LAN = 8.79306175212537
MNA = 3.14159265358979
EPH = 390702364.770745
REF = 14
OBJ = 0
}

Version: 0.22.0.0, Steam, second download
Plugins: Kethane and Kerbal Alarm Clock

PS: | don't know if this should go into Physics or Resources. | put it in the latter for now.

Related issues:
Related to Kerbal Space Program - Bug #5235: Ship quicksaved below 700 m abowv... Closed 07/13/2015

History

#1 - 10/25/2013 10:44 AM - Ted
- Category changed from 35 to 90

Created a new one, Terrain. :)
#2 - 07/21/2014 10:52 PM - BobTheCannibal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| believe this bug occurs right around here in my log, altitude 614m AGL, velocity 0.5m/s (orbital):

[WRN 20:54:24.235] Vessel lander crashed through terrain on Pol

[LOG 20:54:24.236] cupola (lander) Exploded!! - blast awesomeness: 0.5

[LOG 20:54:24.314] [RCSBlock]: Deactivated

[LOG 20:54:24.316] [RCSBlock]: Deactivated

[LOG 20:54:24.318] [RCSBlock]: Deactivated

[LOG 20:54:24.320] [RCSBlock]: Deactivated

[LOG 20:54:24.322] [cupola (lander)]: Deactivated

[LOG 20:54:24.329] Added -19.6186 (-10) reputation: 'Jebediah Kerman was lost!'.

The cupola exploded 614 meters above Pol's terrain.

Just the cupola. And this bug occurs for me on landing sites (plural, mind you) near the equator below the "sea level". (A landing at 48*01'24"N,
175*18'65"W, +- 230m, ASL 2.7625 km is successful, but just about anywhere else, for me? "Blast Awesomeness 0.5, Jebediah Kerman was lost!")
The collision mesh for Pol seems to be disastrously wrong: The low points and slopes don't line up.

Confirmed in 0.24 x86 and x64 Windows.

#3 - 07/15/2015 01:04 AM - Squelch
- Related to Bug #5235: Ship quicksaved below 700 m above terrain on Pol is destroyed on quickolad added

#4 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 06/19/2019 07:47 PM - just_jim
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

This is fixed, and no longer occurring in version 1.7.2

#6 - 06/20/2019 04:35 PM - chris.fulton

- Status changed from Resolved to Closed

04/10/2024 22


http://www.tcpdf.org

